Bug 1775062 - OSP CI bootstrap log collection fails with "'ascii' codec can't encode characters"
Summary: OSP CI bootstrap log collection fails with "'ascii' codec can't encode charac...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.2.z
Assignee: Tomas Sedovic
QA Contact: David Sanz
URL:
Whiteboard:
Depends On: 1775055
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-21 11:58 UTC by Tomas Sedovic
Modified: 2019-12-20 00:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1775055
Environment:
Last Closed: 2019-12-20 00:46:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift installer pull 2700 'None' 'closed' 'Bug 1775062:OpenStack: Use UTF-8 locales in CI container image' 2019-12-03 02:36:36 UTC
Red Hat Product Errata RHBA-2019:4181 None None None 2019-12-20 00:46:58 UTC

Description Tomas Sedovic 2019-11-21 11:58:24 UTC
+++ This bug was initially created as a clone of Bug #1775055 +++

Description of problem:

The CI for the OpenStack provider is able to gather logs of the bootstrap Nova server in order to investigate the boot/Ignition logs.

For example this log should have the server boot sequence:

https://storage.googleapis.com/origin-ci-test/logs/release-openshift-ocp-installer-e2e-openstack-serial-4.2/237/artifacts/e2e-openstack-serial/bootstrap/nova.log

Actual results:

The bootstrap/nova.log file collected and stored by the CI only contains this line:

'ascii' codec can't encode characters in position 28961-28963: ordinal not in range(128)


Expected results:

The file would contain the full contents of the Nova boot log.

--- Additional comment from Tomas Sedovic on 2019-11-21 11:50:40 UTC ---

Fixed in: https://github.com/openshift/installer/pull/2631

--- Additional comment from Tomas Sedovic on 2019-11-21 11:55:25 UTC ---

The bootstrap logs are now being gathered properly:

https://storage.googleapis.com/origin-ci-test/logs/release-openshift-ocp-installer-e2e-openstack-4.3/432/artifacts/e2e-openstack/bootstrap/nova.log

Comment 3 weiwei jiang 2019-12-04 08:00:57 UTC
Currently only 4.2.0-0.nightly-2019-12-03-084420 have bootstrap/nova.log and due to the instance is not ready.
so, we have to wait some new builds with the normal content of the log file to verify this bug.

Comment 5 David Sanz 2019-12-10 10:13:27 UTC
Verified on 4.2.0-0.nightly-2019-12-09-015359

Comment 7 errata-xmlrpc 2019-12-20 00:46:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:4181


Note You need to log in before you can comment on or make changes to this bug.